Bootstrap v4 放弃支持 IE9,并默认使用 flexbox

近日 Bootstrap 4 合并了 PR,宣告着 flexbox 成为默认且唯一的布局选项。

现在,栅格系统等组件只使用 flexbox 来构建而非之前那样根据 $enable-flex 变量而定,同时这个 Sass 变量也被去除了。相关 Sass 文件已经清理,文档已经整合,迁移指南和浏览器支持信息也都已更新。已编译的 CSS 里则仅仅包含 flexbox 这个改动。

由于 IE9 并不支持flexbox,这也意味着 Bootstrap 4 不再支持 IE9,对此,你怎么看?

转载请注明出处:前端开发 » Bootstrap v4 放弃支持 IE9,并默认使用 flexbox

赞 (1)
分享到: 更多

评论 1

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
  1. PHP程序员雷雪松web前端希望能尽早大统一,不要再去hack处理一些兼容性问题。回复